import { Extension, onChangePayload, onConfigurePayload, onConnectPayload, onLoadDocumentPayload, onDestroyPayload, onDisconnectPayload, onListenPayload, onRequestPayload, onUpgradePayload } from '@hocuspocus/server';
export interface LoggerConfiguration {
    /**
     * Prepend all logging message with a string.
     */
    prefix: null | string;
}
export declare class Logger implements Extension {
    configuration: LoggerConfiguration;
    /**
     * Constructor
     */
    constructor(configuration?: Partial<LoggerConfiguration>);
    onLoadDocument(data: onLoadDocumentPayload): Promise<void>;
    onChange(data: onChangePayload): Promise<void>;
    onConnect(data: onConnectPayload): Promise<void>;
    onDisconnect(data: onDisconnectPayload): Promise<void>;
    onUpgrade(data: onUpgradePayload): Promise<void>;
    onRequest(data: onRequestPayload): Promise<void>;
    onListen(data: onListenPayload): Promise<void>;
    onDestroy(data: onDestroyPayload): Promise<void>;
    onConfigure(data: onConfigurePayload): Promise<void>;
    private log;
}
